IPV6_ADDRFORM(2const)

NAME
IPV6_ADDRFORM - turn an AF_INET6 socket into a socket of a different address family

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <netinet/in.h>  /* Definition of IP* constants */
#include <sys/socket.h>

int setsockopt(int sockfd, IPPROTO_IPV6, IPV6_ADDRFORM,
               &(const int){AF_INET}, sizeof(int));

DESCRIPTION
Turn an AF_INET6 socket into a socket of a different address family.

Only AF_INET is currently supported for that.

It is allowed only for IPv6 sockets that are connected and bound to a v4-mapped-on-v6 address.

This is useful to pass v4-mapped sockets as file descriptors to programs that don't know how to deal with the IPv6 API.

ERRORS
See setsockopt(2). See ipv6(7).

SEE ALSO
IPPROTO_IPV6(2const), setsockopt(2), ipv6(7)